[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# AngleChord

Draws a filled Chord described by two angles.

## Declaration

Source position: winapih.inc line 36

`function AngleChord(`
`DC: HDC;`
`x1: Integer;`
`y1: Integer;`
`x2: Integer;`
`y2: Integer;`
`angle1: Integer;`
`angle2: Integer`
`):Boolean;`

## Arguments

`angle1` |  | The starting angle in 1/16 degrees, starting right and continuing counter-clockwise.
`angle2` |  | The ending angle in 1/16 degrees, starting right and continuing counter-clockwise.

## Function result

False on failure.

## Description

AngleChord is a Lazarus addition, similar to the Windows API Chord, but uses angles to control the location of the chord inside the ellipse instead of two points like the Windows API Chord.

A Chord is a section of an ellipse between two angles (angle1 and angle2), closed by a straight line (secant). It's equivalent to a Pie without the triangle between the arc and the center of the ellipse.

The curve part of the chord is defined by the ellipse which fits in the bounding rectangle specified by the coordinates x1, y1, x2 and y2.

The Chord is outlined by the current Pen and filled with the current Brush.

## See also

LCLIntf.Pie |  | Draws a filled pie-shaped wedge, from an ellipse and two radials.
Graphics.TCanvas.Chord |  | Draw a filled chord shape starting and finishing at the specified angular positions on the circumference.
Graphics.TCanvas.Pie |  | Pie draws a filled Pie-shaped wedge on the canvas.